Bug 15198 - Prevent EBADF errors with vfs_glusterfs
Summary: Prevent EBADF errors with vfs_glusterfs
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules (show other bugs)
Version: 4.17.3
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-10-11 13:23 UTC by Anoop C S
Modified: 2022-11-23 14:51 UTC (History)
1 user (show)

See Also:


Attachments
patch for v4-17 (7.69 KB, patch)
2022-10-13 06:18 UTC, Anoop C S
anoopcs: review-
Details
patch for v4-17 (8.98 KB, patch)
2022-11-17 09:07 UTC, Anoop C S
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anoop C S 2022-10-11 13:23:38 UTC
Following 2 cases have been identified to be incorrectly handled with glfs_getxattr() or glfs_fgetxattr() in vfs_glusterfs:

1. SMB_VFS_GET_REAL_FILENAME_AT
   Considering the fact that we are operating with pathref fsp here glfs_fgetxattr() is
   expected to fail with EBADF.

2. SMB_VFS_FGETXATTR
   A fall back mechanism is missing in case of path based call. Otherwise EBADF is
   expected.
Comment 1 Samba QA Contact 2022-10-12 12:49:03 UTC
This bug was referenced in samba master:

8cbd9e63724d80c06565d0c90bd107166dfd9bbe
6a6bd1a0530424def64d2d462b54e4c1f4f9bebb
7af4bfe8285714c137b6347b17305c9cd0702bdd
cc397175cb9a1b06f268ecf6b3d62f621947cbba
Comment 2 Anoop C S 2022-10-13 06:18:26 UTC
Created attachment 17560 [details]
patch for v4-17
Comment 3 Samba QA Contact 2022-10-13 13:33:12 UTC
This bug was referenced in samba master:

5d91ecf01dce95400da5d6ac181144df1e32ca35
Comment 4 Anoop C S 2022-11-17 09:07:15 UTC
Created attachment 17662 [details]
patch for v4-17
Comment 5 Ralph Böhme 2022-11-21 11:22:24 UTC
Reassigning to Jule for inclusion in 4.17.
Comment 6 Jule Anger 2022-11-23 07:14:51 UTC
Pushed to autobuild-v4-17-test.
Comment 7 Samba QA Contact 2022-11-23 13:57:03 UTC
This bug was referenced in samba v4-17-test:

2ce1a1eca5677268f3b0be18f02d74fa07e575a0
d904e80ef35f702690a843bf6cffbba297c6ddda
9f307955d8a7546171333ef0c0aa85f04c32d578
4a3dcb3257834285a198c5ff3c18a2eaac3d38ab
9dbbce3f4e72eae302bd9e18013d80f544220ee2
Comment 8 Jule Anger 2022-11-23 14:51:02 UTC
Closing out bug report.

Thanks!